#include <stdio.h>

int main(){
	unsigned m,n,p,k,i,j,mi,ni;
	unsigned mat[100][100];
	unsigned suma;
	
	scanf("%u %u",&m,&n);
	for(i=0; i<m; i++)
		for(j=0; j<n; j++)
			scanf("%u", &mat[i][j]);
	scanf("%u %u", &p, &k);
	if(p>m || k>n){
		printf("-1");
		return 0;
	}	

	for(mi=0; mi<=m-p; mi++)
		for(ni=0; ni<=n-k; ni++){
			suma=0;
			for(i=0; i<p; i++)
				for(j=0; j<k; j++)
					suma+=mat[mi+i][ni+j];	
			printf("%u ", suma);
		}			
	printf("\n");
	return 0;
}
